# eric5.E5Gui.E5ListView

Module implementing specialized list views.

### Global Attributes

None

### Classes

E5ListView | Class implementing a list view supporting removal of entries.

### Functions

None

## E5ListView

Class implementing a list view supporting removal of entries.

### Derived from

QListView

### Class Attributes

None

### Class Methods

None

### Methods

keyPressEvent | Protected method implementing special key handling.
removeAll | Public method to clear the view.
removeSelected | Public method to remove the selected entries.

### Static Methods

None

#### E5ListView.keyPressEvent

keyPressEvent(evt)

Protected method implementing special key handling.

evt
  reference to the event (QKeyEvent)

#### E5ListView.removeAll

removeAll()

Public method to clear the view.

#### E5ListView.removeSelected

removeSelected()

Public method to remove the selected entries.

Up